import { JobStatus } from "../enum";
import { ArgOf } from "../repositories/event.repository";
import { BaseService } from "./base.service";
export declare class VersionService extends BaseService {
    onBootstrap(): Promise<void>;
    getVersion(): {
        major: number;
        minor: number;
        patch: number;
        prerelease: number | null;
    };
    getVersionHistory(): Promise<{
        id: string;
        createdAt: Date;
        version: string;
    }[]>;
    onConfigUpdate({ oldConfig, newConfig }: ArgOf<'ConfigUpdate'>): Promise<void>;
    handleQueueVersionCheck(): Promise<void>;
    handleVersionCheck(): Promise<JobStatus>;
    onWebsocketConnection({ userId }: ArgOf<'WebsocketConnect'>): Promise<void>;
}
